Package org.wso2.carbon.registry.admin.api.search

# Interface SearchOSGiService<Input,Output>

Type Parameters:
  `Input` - the input for the search
  `Output` - the output of the search operation

public interface SearchOSGiService<Input,Output>
API to perform a search through an OSGi service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Output`
  `search(int tenantId, Input input)`
  Method to search for results matching the given parameters for the given tenant.
  `Output`
  `search(Input input)`
  Method to search for results matching the given parameters.
  `Output`
  `search(org.wso2.carbon.registry.core.session.UserRegistry registry, Input input)`
  Method to search for results matching the given parameters from the registry instance provided.

- ## Method Details

  - ### search

    Output search(org.wso2.carbon.registry.core.session.UserRegistry registry, Input input) throws org.wso2.carbon.registry.core.exceptions.RegistryException
    Method to search for results matching the given parameters from the registry instance provided.
    Parameters:
      `registry` - the registry instance to be used.
      `input` - the input for the search
    Returns:
      search results.
    Throws:
      `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

  - ### search

    Output search(int tenantId, Input input) throws org.wso2.carbon.registry.core.exceptions.RegistryException
    Method to search for results matching the given parameters for the given tenant.
    Parameters:
      `tenantId` - the identifier of the tenant.
      `input` - the input for the search
    Returns:
      search results.
    Throws:
      `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

  - ### search

    Output search(Input input) throws org.wso2.carbon.registry.core.exceptions.RegistryException
    Method to search for results matching the given parameters.
    Parameters:
      `input` - the input for the search
    Returns:
      search results.
    Throws:
      `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.